Package org.apache.sling.cms.core.publication

## Class PublicationManagerFactoryImpl

- java.lang.Object
- - org.apache.sling.cms.core.publication.PublicationManagerFactoryImpl

All Implemented Interfaces:
  `org.apache.sling.api.adapter.AdapterFactory`, `PublicationManagerFactory`

    public class PublicationManagerFactoryImpl
    extends Object
    implements PublicationManagerFactory, org.apache.sling.api.adapter.AdapterFactory

### Field Summary

### Fields inherited from interface org.apache.sling.api.adapter.AdapterFactory

`ADAPTABLE_CLASSES, ADAPTER_CLASSES, SERVICE_NAME`

### Constructor Summary

Constructors
`PublicationManagerFactoryImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(PublicationConfig config)`
`<T> T` `getAdapter​(Object adaptable, Class<T> type)`
`INSTANCE_TYPE` `getInstanceType()`
`PublicationManager` `getPublicationManager()`
`PUBLICATION_MODE` `getPublicationMode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PublicationManagerFactoryImpl

    public PublicationManagerFactoryImpl()

### Method Detail

#### activate

    public void activate​(PublicationConfig config)

#### getInstanceType

    public INSTANCE_TYPE getInstanceType()

Specified by:
  `getInstanceType` in interface `PublicationManagerFactory`

#### getPublicationMode

    public PUBLICATION_MODE getPublicationMode()

Specified by:
  `getPublicationMode` in interface `PublicationManagerFactory`

#### getPublicationManager

    public PublicationManager getPublicationManager()

Specified by:
  `getPublicationManager` in interface `PublicationManagerFactory`

#### getAdapter

    public <T> T getAdapter​(Object adaptable,
                            Class<T> type)

Specified by:
  `getAdapter` in interface `org.apache.sling.api.adapter.AdapterFactory`